Bug 1032064 - RETE-OO: KieSession.getEntryPoint() returns non-null object for non-declared EntryPoint
RETE-OO: KieSession.getEntryPoint() returns non-null object for non-declared ...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: 6.0.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 08:35 EST by Marek Winkler
Modified: 2014-08-06 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Maven project with reproducer (13.96 KB, application/zip)
2013-11-19 08:35 EST, Marek Winkler
no flags Details

  None (edit)
Description Marek Winkler 2013-11-19 08:35:43 EST
Created attachment 826057 [details]
Maven project with reproducer

Description of problem:

With RETE, KieSession.getEntryPoint(String) returns a non-null EntryPoint for an entry point which has not been declared. PHREAK returns null, as expected.

Version-Release number of selected component (if applicable):

Drools 6.0.0-SNAPSHOT
BRMS 6.0.0 ER4

How reproducible:

Run EntryPointTest from the attached Maven project with setting drools engine to RETE:

mvn clean test -Dtest=EntryPointTest -Ddrools.ruleEngine=reteoo

The test passes, when executed with PHREAK:

mvn clean test -Dtest=EntryPointTest -Ddrools.ruleEngine=phreak

Actual results:

The test fails (a non-null entrypoint is returned).

Expected results:

The test passes (null is returned).
Comment 1 Mario Fusco 2013-11-27 09:30:11 EST
Fixed by https://github.com/droolsjbpm/drools/commit/3fe05335c
Comment 2 Marek Winkler 2014-01-03 09:04:15 EST
Verified on BRMS 6.0.0 ER6.

Note You need to log in before you can comment on or make changes to this bug.